SketchUp Help Center

How Can We Help?

I'm getting an error saying the .NET Framework is missing

The PC version of SketchUp Pro requires the Microsoft .NET Framework 4.5.2. During install, SketchUp will detect if the correct version of the .NET Framework is missing and will prompt you to download and install the package. Click the "Yes" button to install the package. Due to file size, we suggest downloading the .NET Framework using a broadband connection or faster. If you're using a dial-up connection, please be aware that downloading will take some time.

At this time, SketchUp Pro requires version 4.5.2 or higher of the .NET Framework. If your computer has a lower version of the .NET Framework installed, you'll be asked to download version 4.5.2. Multiple versions of the .NET Framework can co-exist on your computer without interfering with SketchUp Pro.

You can download the standalone Microsoft .NET Framework 4.5.2 installer from their site directly here.

OS:

Need Help Fast?

SketchUp’s outstanding community of passionate experts have answers to your questions.